curl --request GET \
--url https://api.example.com/api/data-readiness/workflows/{configuration_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/data-readiness/workflows/{configuration_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/data-readiness/workflows/{configuration_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/data-readiness/workflows/{configuration_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/data-readiness/workflows/{configuration_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/data-readiness/workflows/{configuration_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/data-readiness/workflows/{configuration_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"category": "enrichment",
"config": {
"confidence_threshold": 0.85
},
"created_at": "2024-01-15T10:30:00Z",
"data_asset_types": [
"table"
],
"description": "Detects and tags PII in production tables",
"id": "123e4567-e89b-12d3-a456-426614174000",
"is_default": false,
"name": "PII Detection - Production",
"require_reference_pack": true,
"schedule": {
"cron_expression": "0 0 * * *",
"enabled": true,
"timezone": "UTC"
},
"status": "active",
"supports_multi_table_selection": false,
"triggers": [],
"updated_at": "2024-01-16T14:20:00Z",
"workflow_type": "generate-pii-tags"
}{
"error": {
"code": "WORKFLOW_NOT_FOUND",
"message": "Workflow configuration with id '123e4567-e89b-12d3-a456-426614174000' not found",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"code": "WORKFLOW_NOT_FOUND",
"message": "Workflow configuration with id '123e4567-e89b-12d3-a456-426614174000' not found",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}Get Workflow Configuration
Retrieve detailed information about a specific workflow configuration.
Returns the full configuration details including:
- Configuration overrides
- Schedule configuration
- Trigger configurations
- Workflow definition metadata (name, type, supported data asset types)
The config, schedule, and triggers represent configuration-specific settings that feed into deployed pipelines without redeploying code.
curl --request GET \
--url https://api.example.com/api/data-readiness/workflows/{configuration_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/data-readiness/workflows/{configuration_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/data-readiness/workflows/{configuration_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/data-readiness/workflows/{configuration_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/data-readiness/workflows/{configuration_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/data-readiness/workflows/{configuration_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/data-readiness/workflows/{configuration_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"category": "enrichment",
"config": {
"confidence_threshold": 0.85
},
"created_at": "2024-01-15T10:30:00Z",
"data_asset_types": [
"table"
],
"description": "Detects and tags PII in production tables",
"id": "123e4567-e89b-12d3-a456-426614174000",
"is_default": false,
"name": "PII Detection - Production",
"require_reference_pack": true,
"schedule": {
"cron_expression": "0 0 * * *",
"enabled": true,
"timezone": "UTC"
},
"status": "active",
"supports_multi_table_selection": false,
"triggers": [],
"updated_at": "2024-01-16T14:20:00Z",
"workflow_type": "generate-pii-tags"
}{
"error": {
"code": "WORKFLOW_NOT_FOUND",
"message": "Workflow configuration with id '123e4567-e89b-12d3-a456-426614174000' not found",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"code": "WORKFLOW_NOT_FOUND",
"message": "Workflow configuration with id '123e4567-e89b-12d3-a456-426614174000' not found",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Authorization: Bearer <token>. The JWT must contain valid client_id, and project_id claims for tenant isolation and SDK routing.
Path Parameters
Unique configuration identifier
"550e8400-e29b-41d4-a716-446655440001"
Response
Successful Response
Full workflow configuration information for detail responses.
Type of workflow
generate-table-description, generate-pii-tags, generate-dq-tags, generate-sensitivity-tags, enrich-table-columns, service-ingestion, profiling, dq-rule-generation, dq-execution, metadata-assessment, dq-assessment, dq-tag-generation, intelligence, metadata-enrichment, run-all-enrichment "generate-pii-tags"
Unique configuration identifier
"123e4567-e89b-12d3-a456-426614174000"
Workflow name
"PII Detection - Production"
Workflow category
ingestion, enrichment, data_quality, assessment, intelligence "enrichment"
Supported data asset types
["table"]
Configuration status
"active"
Whether this is the default configuration
false
Creation timestamp (ISO 8601)
"2024-01-15T10:30:00Z"
Last update timestamp (ISO 8601)
"2024-01-16T14:20:00Z"
Workflow description
"Detects and tags PII in production tables"
Configuration overrides
{ "confidence_threshold": 0.85 }
Full schedule configuration
Show child attributes
Show child attributes
{
"cron_expression": "0 0 * * *",
"enabled": true,
"start_date": "2024-01-01T00:00:00Z",
"timezone": "America/New_York"
}
List of triggers
Show child attributes
Show child attributes
Was this page helpful?

